
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>解析使用ThinkPHP应该掌握的调试手段_php技巧 / iVAN</title>

    <meta name="description" content="解析使用ThinkPHP应该掌握的调试手段_php技巧 使用ThinkPHP应该掌握的调试手段经常看到有人问到findAll的返回数据类型是什么之类的问题,以及出错了不知道什么原因的情况,其实还是没有熟悉ThinkPHP内置的调试手段和方法,抛开IDE本身自带的调试方式不说,如果你正在用或者打算用ThinkPHP开发的话,那么下面一些和调试相关的方法你是应该要了解和掌握的: 1.在项目配置文件里面打开调试模式DEBUG_MODE,这样能够让你发现大部分的错误原因 .可能影响验证码的输出. 2.如果不想使用调试模式,可以单独开启页面Trace显示.发现">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">解析使用ThinkPHP应该掌握的调试手段_php技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>使用ThinkPHP应该掌握的调试手段<br /></strong>经常看到有人问到findAll的返回数据类型是什么之类的问题，以及出错了不知道什么原因的情况，其实还是没有熟悉ThinkPHP内置的调试手段和方法，抛开IDE本身自带的调试方式不说，如果你正在用或者打算用ThinkPHP开发的话，那么下面一些和调试相关的方法你是应该要了解和掌握的： <br />1、在项目配置文件里面打开调试模式DEBUG_MODE，这样能够让你发现大部分的错误原因 。可能影响验证码的输出。</p>
<p>2、如果不想使用调试模式，可以单独开启页面Trace显示。发现很多人不想使用调试模式的原因居然是因为有页面Trace信息的输出，其实这里面有一个误区，以为调试模式就一定会有页面Trace，但其实调试模式和页面Trace没有必然的关系，只是因为打开调试模式后，系统默认的调试配置文件会开启页面Trace显示，所以你完全可以给项目单独定义调试配置文件。</p>
<p>3、使用系统定义的dump函数，该方法同var_dump可以输出任何类型的变量信息，而且更加有利于在浏览器里面查看，例如：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$User = D("User");<br />$list    = $User-&gt;findAll();<br />dump($list);</p>
<p>4、页面Trace信息只能显示当前页面执行的sql语句，但无法查看ajax方式执行的后台操作里面的sql语句，所以你还可以开启sql日志记录SQL_DEBUG_LOG 来记录每一条执行的sql语句，并且可以查看到每条sql语句的执行时间 sql日志文件位于Logs目录下面，会自动按日期来区分每天的sql日志。</p>
<p>5、另外一个是在执行某个数据操作后怀疑sql执行有错误的话，可以使用模型类的<strong>getLastSql</strong>方法来查看上次执行的sql语句，以便分析具体的错误原因。例如：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$User = D("User");<br />$User-&gt;id = 3;<br />$User-&gt;name = 'ThinkPHp';<br />$User-&gt;save();<br />echo $User-&gt;getLastSql();<br />// 输出 update think_user set name='ThinkPHP' where id=3;</p>
<p>6、当需要调试某段代码的运行时间的时候，可以使用系统提供的debug_start($label)和debug_end($label)方法，例如：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>debug_start('demo');<br />// 这里是你的代码段.......<br />debug_end('demo');</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-25 01:27:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%b0%83%e8%af%95/" title="调试">调试</a>, <a href="https://www.iamivan.net/tag/thinkphp/" title="thinkphp">thinkphp</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>解析使用ThinkPHP应该掌握的调试手段_php技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOn8Qmp.html" rel="bookmark">解析thinkphp中的导入文件标签&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一个是import标签 ,导入方式采用类似ThinkPHP的import函数的命名空间方式,例如: import标签(采用命名空间方式引入资源文件) 闭合 闭合标签 属性 file(必须):要引入的资源文件,支持变量 type(可选):引入的资源文件类型,默认为js,支持js css和php basepath(可选):命名空间的基础路径 示例:&lt;import type='js' file=&quot;Js.Util.Array&quot; /&gt;Type属性默认是js, 所以下面的效果是相同的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3JJNAz.html" rel="bookmark">解析thinkphp的左右值无限分类&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以前一直使用父子无限分类,这种分类结构清晰,使用也简单.但若分类数量很大的话,在查询上性能不佳.比如在做导航菜单中,我要根据某一分类查询出整个分类树的话(祖辈).性能消耗是非常大的,要么做递归,要么做多次查询.故,对于分类的数据量很大的情况,我推荐使用左右值,以减少查询上的麻烦. 复制代码 代码如下: _id    /**         +----------------------------------------------------------         * 构造函数     			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYAeob.html" rel="bookmark">thinkphp使用phpmailer发送邮件的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了thinkphp使用phpmailer发送邮件的方法.分享给大家供大家参考.具体分析如下: phpmailer发送邮件是php开发者首选的一个邮件发送插件了,下面我来介绍怎么集成phpmailer到thinkphp框架了,感兴趣的朋友可以参考一下. phpmailer发送邮件功能很强大,今天真正的体验一下,这里先简单说一下配置,本人是在thinkphp中使用的. 配置步骤: 1.后台配置发送邮件类,位置admin/common/common.php中,代码如下: 复制代码 代码如下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQN0GGM.html" rel="bookmark">nginx&plus;thinkphp下解决不支持pathinfo模式&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				nginx环境问题弄了两天,发现网上很多人的帖子要么复制粘贴,要么就是没有结贴,还自己写一句&quot;哈哈,我自己解决了&quot;之类的,这点我就鄙视这些发帖的同胞了,你说你问题问了,问题解决了也不给个解释.还在搜索的前几页,想没想过需要答案的人的感受呢.满心欢喜的去看答案,发现没有结贴.好吧,不多说,进入正题. 我这种方式是不需要将URL_Model改为rewrite/兼容的: 大约第43行,按照下面的对照自己的code进行修改,请注意细节的符号: location / { root C:/Zend			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4v9Zz.html" rel="bookmark">php 解析xml 的四种方法详细介绍&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php 解析xml 的四种方法 XML处理是开发过程中经常遇到的,PHP对其也有很丰富的支持,本文只是对其中某几种解析技术做简要说明,包括:Xml parser, SimpleXML, XMLReader, DOMDocument. 1. XML Expat Parser: XML Parser使用Expat XML解析器.Expat是一种基于事件的解析器,它把XML文档视为一系列事件.当某个事件发生时,它调用一个指定的函数处理它.Expat是无验证的解析器,忽略任何链接到文档的DTD.但是,如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba60gQM.html" rel="bookmark">将酷狗krc歌词解析并转换为lrc歌词php源码&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在进行一次对酷狗音乐歌词采集时发现酷狗音乐的歌词直接浏览都是&quot;乱码&quot;,自己平时所见的歌词都是lrc格式的文本,这种酷狗专用的krc格式的显然是经过特别处理过的,平时用酷狗听音乐也没仔细看他的歌词有什么不同,只是与天天静听等不同的是可以逐字高亮显示歌词. 对酷狗的flash播放器进行反编译,发现这段krc解密的ActionScript代码: public function loaderCompleteHandler(param1:ByteArray) : void{ this.new			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWm7ez.html" rel="bookmark">ThinkPHP写第一个模块应用&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				找到项目文件夹下面的Lib/Action这个目录,在下面有个创建好的例子IndexAction.class.php,加入我们创建的是admin这个项目,那么./admin/Lib/Action/IndexAction.class.php,这个模块是默认加载的模块.在ThinkPHP中,自动加载的动作.方法.操作等等都是以index命名的. 下面,我们创建一个自己的模块,比如UserAction,class.php(注意命名规则),我们编辑这个文件: 复制代码 代码如下: &lt;?php //先继承A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GdjAp.html" rel="bookmark">解析如何用php screw加密php源代码&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在使用PHP过程中发现,自己编写的php代码因为都是源代码方式放在服务器上的所以很容易就被别人拿走随便修改(变成自己开发的)使用了.为了保住自己的劳动成果,我一直寻找一种可以加密php代码的软件.最著名的就是Zend公司的Zendencoder了,但是不是开源软件(要价很高,也没有找到破解版).既然收费的用不起,我们就用开源的.我找到了php_screw这个开源软件,目前最新版本是1.5安装环境系统:centos 5.3软件:Apache 2.2.9PHP 5.2.10以上环境全部是自己下载配置			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjolOmM.html" rel="bookmark">ThinkPHP与PHPExcel冲突解决方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很早之前就知道有一个叫做PHPExcel的类(官方网站)可以用来操作Excel,一直没有机会尝试,今天试用发现无比强大,下载后的源码包里有详细文档,几乎能实现手工操作Excel能实现的一切功能. 一个简单的读取Excel的例子如下: 复制代码 代码如下: $inputFileType = 'Excel2007'; $inputFileName = './public/files/import_user_template.xlsx'; $sheetname = 'Sheet1'; //指定Exce			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze4BAp.html" rel="bookmark" class="title">XXX电子商务平台技术框架</a>
					<div>
						XXX电子商务平台技术框架 XXX公司电子商务软件是基于java多层架构,架构图如下:架构图说明: 1. 总体采用Spring + Spring MVC + Hibernate + JSP + Jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQRwQM.html" rel="bookmark" class="title">ASP&period;NET：优化DataGrid控件的编辑功能</a>
					<div>
						asp.net|datagrid|datagrid控件|优化 尽管在上面的实例中我们已经实现了DataGrid的在线编辑功能,但是,如果我们已经习惯了C/S 结构的程序,就会感觉到上个实例中编辑的不足 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b20qrp.html" rel="bookmark" class="title">Flash制作三维方格弹跳动画</a>
					<div>
						跳动 效果演示: 点击这里下载源文件 制作步骤: 1.制作三维方块的三个面,并转换为图形元件:(在场景中插入--新建元件--图形),分别命名为元件1.元件2.元件3. 2.把三个图形元件组合为三维方块 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmWn5b.html" rel="bookmark" class="title">Excel表单元格数字显示为&num;NAME&excl;的解决方法</a>
					<div>
						单击显示错误的单元格,再单击出现的按钮 ,然后,如果出现&quot;追踪错误&quot;,则单击它. 检查可能的原因和解决方法. 可能的原因和解决方法 使用&quot;分析工具库&quot;加载宏部分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6OGvz.html" rel="bookmark" class="title">一个CFileFind的扩展类CFileFindExt</a>
					<div>
						一.类CfileFindExt功能说明 大家经常需要对指定目录下的所有文件进行搜索或其它相同操作.若文件数很多,逐一对每个文件手工操作,很费时.本文提供一个搜索或处理指定目录下的所有文件的C++类.作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62JkNM.html" rel="bookmark" class="title">DNN&lpar;DotNetNuke&rpar;研究手札－框架&lpar;硬伤&rpar;</a>
					<div>
						对,这章我就要介绍我所理解的DNN存在的硬伤,大家看完了别骂我,更别伤心,因为我在实际开发的过程中提供解决方案.:) 我最近2个多月都在研发某系统,该系统是以DNN为原型.我在花了接近2个月的研究中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyRj8b.html" rel="bookmark" class="title">使用面向对象技术替代switch-case和if-else</a>
					<div>
						在日常开发中,常常会作一些状态判断,用到swich-case与if-else.在面向对象的环境里,有两种方式可以替代它们.一种是使用继承子类的多态,另一种是使用state模式.它们使用对象的间接性有效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKNVmp.html" rel="bookmark" class="title">修改Word 2003&sol;2007标尺方法</a>
					<div>
						打开Word窗口时,会看到窗口上方有一排标尺,依次为2.4.6--38,它是以字符为单位,在宋体五号字的格式下,每行可输入约38个中文字符.但是有的时候用起来并不方便,尤其在制表.作图时,显得不直观, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Pa1b.html" rel="bookmark" class="title">Photoshop打造玻璃效果技巧</a>
					<div>
						制作玻璃效果的中国印 最终效果图 1.新建一个文件,打开标志图片如图01所示,使用工具箱中的&quot;魔棒工具&quot;选择标志,将其拖拽到文件中,自动生成图层1,并将其填充黑色,效果如图02所示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M628YWM.html" rel="bookmark" class="title">卸载Win8系统快速恢复原系统</a>
					<div>
						  对Windows 8仍无法适应并准备卸载时才发现必须重新安装Windows 7.如果存储原系统文件的&quot;Windows.old&quot;文件夹仍存在,那么我们可以尝试其他的方法尽快地恢复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3APVp.html" rel="bookmark" class="title">在win7系统怎么利用回收站隐藏文件</a>
					<div>
						  隐私是每个用户都 非常重视的一个问题,那么在电脑的使用过程中,很多人都会采用密码加密的方法来保障自己的隐私不被查看,但是因为很多原因,密码往往是很容易忘记的,这使得我们无法再打开自己心爱的东西,所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72nOdp.html" rel="bookmark" class="title">WiFi共享精灵启动失败错误代码1203怎么办</a>
					<div>
						  一.虚拟网卡问题 1.打开WIFI共享精灵,右击桌面上的计算机图标,点击管理&gt;设备管理器,右键点击[网络适配器],选择[扫描检测硬件改动]. 2.可能需要多次扫描,系统会自动识别并修复虚拟网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrLnQM.html" rel="bookmark" class="title">axure rp</a>
					<div>
						  Axure RP是一个专业的快速原型设计工具.Axure(发音:Ack-sure),代表美国Axure公司:RP则是Rapid Prototyping(快速原型)的缩写.Axure RP是美国Ax ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVor1b.html" rel="bookmark" class="title">jfinal-Jfinal &commat;BY&lowbar;NAME注解失效</a>
					<div>
						问题描述 Jfinal @BY_NAME注解失效 最近在公司的一个主体是Jfinal,加入了部分Spring的项目中加入了一个新功能,但是遇到了@BY_NAME注解失效的问题,我把部分代码贴出来,希望 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2ZAGb.html" rel="bookmark" class="title">java、Android、Jquery、Struts、Linux等资源</a>
					<div>
						尚硅谷 JAVA SE 密码: y8nfJAVA WEB 密码: dxnq框架技术 密码: n5xnAndroid 密码: miyg数据库 密码: ug4n前端 密码: hu8g项目资源 密码: 5p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn73OZz.html" rel="bookmark" class="title">现有函数的封装-optix实现盒子中兔子的处理，并对创建几何对象的函数进行封装</a>
					<div>
						问题描述 optix实现盒子中兔子的处理,并对创建几何对象的函数进行封装 要求:编写一个createGeometry函数,用于在OptiX中创建一个3D场景.场景包括一个正方体盒子和一只兔子,兔子在盒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE62ynM.html" rel="bookmark" class="title">MySQL执行计划extra中的using index 和 using where using index 的区别</a>
					<div>
						原文:MySQL执行计划extra中的using index 和 using where using index 的区别   本文出处:http://www.cnblogs.com/wy123/p/7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NjL6z.html" rel="bookmark" class="title">调用Android自带日历功能（日历列表单、添加一个日历事件）</a>
					<div>
						调用Android自带日历功能  觉得这篇文章不错,转载过来. 转载:http://blog.csdn.net/djy1992/article/details/9948393 Android手机配备有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW5eWz.html" rel="bookmark" class="title">提高软件质量实践：Amazon篇</a>
					<div>
						Amazon是一个很传奇的公司,它1995年的时候以一个网上书店起家,在短短的十几年里成为全球最大的在线购物公司.更为甚者,他在2005推出的AWS云计算服务更是被业界公认为云计算的鼻祖,也是现在全球 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm7q1b.html" rel="bookmark" class="title">Android系统shell中的clear命令实现</a>
					<div>
						之前一直不太清楚,当我们在shell命令行输入很多命令,会在屏幕上输出一些信息,为什么一执行clear这个命令以后,所有的信息就没了呢? 现在终于搞明白了,找到了clear命令的源代码clear.c  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLGRmp.html" rel="bookmark" class="title">一组不雅照在网上流传</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/3640.html&quot;&gt;网友曾怀疑,该不雅照内的两人为安徽省合肥市庐江县两名负责人.前天,合肥市.庐江县均 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBy8Zb.html" rel="bookmark" class="title">gridview 编辑 代码没有错误 可是点击更新之后没有效果 代码如下 求解</a>
					<div>
						问题描述 protectedvoidgvTasks_RowUpdating(objectsender,GridViewUpdateEventArgse){SqlConnectionsqlConn=th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwKYBM.html" rel="bookmark" class="title">各种RAID级别技术详解：RAID 6</a>
					<div>
						这一节风信网向大家介绍RAID 6级别技术,RADI6技术是在RAID 5基础上,为了进一步加强http://www.aliyun.com/zixun/aggregation/13681.html&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwq1VM.html" rel="bookmark" class="title">J2ME中如何将图片上传到服务器的数据库中，用servlet来处理</a>
					<div>
						问题描述 如何写一个J2ME上传图片的程序,将图片上传到服务器中的mysql数据库中,并可以从数据库中取出数据,如有源码,请共享一下好吗? 解决方案 解决方案二:急呀!望大虾们指点迷津!解决方案三:反 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnQPoM.html" rel="bookmark" class="title">Midnight Commander 4&period;8&period;1&period;2发布 可视化文件管理器</a>
					<div>
						GNU Midnight Commander 是一个文本模式的可视化文件管理器.它采用了双面板界面和执行命令的subshell,包括一个语法高亮的内部编辑器,支持二进制文件的内部查看,还包括http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7y4Zz.html" rel="bookmark" class="title">无法保存&comma;正被别的用户锁定&comma;access&plus;asp&period;net&comma;怎么解决&quest;</a>
					<div>
						问题描述 无法保存,正被别的用户锁定,access+asp.net,怎么解决? 解决方案 解决方案二:数据库加了锁了吧?access不太懂					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1rLKb.html" rel="bookmark" class="title">低点买入AMD的4个理由</a>
					<div>
						芯片公司AMD(NASDAQ:AMD)近期股价因受负面因素的影响阻力较大.投资者对芯片Ryzen期待过高,但第一季度销量仅为公司一个月的芯片销量.考虑到AMD今年将发布Ryzen移动版处理器及服务器芯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QZRmp.html" rel="bookmark" class="title">CSS中的滑动门技术&lowbar;CSS&sol;HTML</a>
					<div>
						作者:nobita 2005-5-8 9:39:31ISSN: 1534-0295. 20 October 2003 – Issue No. 160 原文作者:Douglas Bowman 原文出自: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWg8kz.html" rel="bookmark" class="title">oracle&lpar;plsql&rpar;生成流水号&lowbar;oracle</a>
					<div>
						复制代码 代码如下: CREATE OR REPLACE FUNCTION fn_no_make(v_prefix     VARCHAR2,                              ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL53kWz.html" rel="bookmark" class="title">VBS教程：方法-GetDrive 方法&lowbar;vbs</a>
					<div>
						GetDrive 方法 返回与指定的路径中驱动器相对应的 Drive 对象. object.GetDrive drivespec 参数 object 必选项.应为 FileSystemObject 的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
